This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471824 - (CVE-2017-11143) CVE-2017-11143 php: Incorrect WDDX deserialization of boolean parameters leads to DoS
CVE-2017-11143 php: Incorrect WDDX deserialization of boolean parameters lead...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170222,repor...
: Security
Depends On:
Blocks: 1491035
  Show dependency treegraph
 
Reported: 2017-07-17 09:52 EDT by Adam Mariš
Modified: 2017-09-21 05:26 EDT (History)
10 users (show)

See Also:
Fixed In Version: php 5.6.31
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 04:16:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-17 09:52:08 EDT
In PHP before 5.6.31, an invalid free in the WDDX deserialization of
boolean parameters could be used by attackers able to inject XML for
deserialization to crash the PHP interpreter, related to an invalid
free for an empty boolean element in ext/wddx/wddx.c.

Upstream bug:

https://bugs.php.net/bug.php?id=74145

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=2aae60461c2ff7b7fbcdd194c789ac841d0747d7
Comment 1 Adam Mariš 2017-07-21 04:16:11 EDT
This issue happens when untrusted input is deserialized. Doing so is documented as being unsafe:

http://php.net/manual/en/function.wddx-deserialize.php

Do not pass untrusted user input to wddx_deserialize(). Unserialization can result in code being loaded and executed due to object instantiation and autoloading, and a malicious user may be able to exploit this. Use a safe, standard data interchange format such as JSON (via json_decode() and json_encode()) if you need to pass serialized data to the user.

Note You need to log in before you can comment on or make changes to this bug.